Package org.eclipse.net4j.util.concurrent

## Interface IWorkSerializer

- All Known Implementing Classes:
    `AsynchronousWorkSerializer`, `CompletionWorkSerializer`, `ExecutorWorkSerializer`, `QueueWorkerWorkSerializer`, `SynchronousWorkSerializer`

      @Deprecated
      public interface IWorkSerializer

  Deprecated.
  As of 3.9 use an executor such as `SerializingExecutor`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addWork​(java.lang.Runnable work)` | Deprecated.
    `void` | `dispose()` | Deprecated.

- - ### Method Detail

    - #### addWork

          boolean addWork​(java.lang.Runnable work)

      Deprecated.

    - #### dispose

          void dispose()

      Deprecated.